<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>counters-007</title>
	<style>
		@page {
			margin: 36px;
			@top-center {
				content: string(b);
			}
		}
		body {
			string-set: b "Value=" counter(b) ", Page=" counter(page);
			counter-reset: b 1;
		}
		div {
			break-before: page;
			counter-increment: b;
		}
	</style>
</head>
<body>
The top of this page is "Value=1, Page=1"
<div id="div1">
	The top of this page is:
	<ul>
		<li>"Value=1, Page=1" if counters are copied to a string by value.</li>
		<li>"Value=2, Page=2" if counters are copied to a string by reference.</li>
		<li>"Value=1, Page=2" if the page counter is copied by reference and others by value</li>
	</ul>
</div>
</body>
</html>
